program
funct inc( var x : int; ) void
	begin
		x = x + 1;
	end
funct square( x : int; ) int
	begin
		return x * x;
	end
var i : int;
var a : []int;
begin
	a = new [ 10 ]int;
	for i = 0; i < size a; inc( i ) do
		a[ i ] = square( i );
	end
	for i = 0; i < size a; inc( i ) do
		println( a[ i ] );
	end
end.
